#! /bin/bash
# This script enables logging from the Pi Store.

LOGSETTINGSFILE="$HOME"/.config/pistore.conf
LOGSETTINGSTEMP="$HOME"/.config/pistore.tmp

# Delete any lines beginning with '[Logging]', 'GeneralLogLevel' or 'FileLogLevel'
# We're doing this so we can add the new lines cleanly.
sed '/[Logging]\|GeneralLogLevel\|FileLogLevel/d' "$LOGSETTINGSFILE" > "$LOGSETTINGSTEMP"
mv "$LOGSETTINGSTEMP" "$LOGSETTINGSFILE"

echo "[Logging]" >> "$LOGSETTINGSFILE"
echo "GeneralLogLevel=3" >> "$LOGSETTINGSFILE"

echo "Logging enabled"
echo "Log files will in the future be saved to $HOME/PiStore/General.log and $HOME/PiStore/File.log"
