#! /bin/bash
# Script to look for an app's prereqs file.
# If it finds it, it will install the app's dependencies.

function writeErrorCode
{
	# Write the error code out to a file so the Pi Store can pick it up.
	echo "$ERRORCODE" > "$ERRORFILE"
	chown $SCRIPTUSER $ERRORFILE
	exit
}

if [ "$#" -ne "2" ]
	then
		echo "Usage: $0 app_path safe_name"
		exit 1
fi

APPPATH="$1"
SAFENAME="$2"

PREREQSFILE="prereqs"
DEPENDENCIES=""

ERRORCODE=0

if [ -n "$SUDO_USER" ]
	then
		SCRIPTUSER="$SUDO_USER"
else
	SCRIPTUSER="$USER"
fi

ERRORFILE="/home/$SCRIPTUSER/indiecity/pistore/script_errorcode"

cd "$APPPATH"

# Detect if the cd call failed.
if [ "$?" != "0" ]
	then
		ERRORCODE="$?"
		writeErrorCode
fi

# Look for the prereqs file.
#if [ -f "$PREREQSFILE" ]
#	then
#		while read line
#			do
#				DEPENDENCIES="$DEPENDENCIES""$line "
#		done < "$PREREQSFILE"
		
		#gksudo apt-get update		
		
		# Now get the dependencies:
		#sudo apt-get install "$DEPENDENCIES"
#		MESSAGE="Pi Store would like your permission to install these prerequisite packages for $SAFENAME: $DEPENDENCIES"
		#gksudo -m "$MESSAGE" apt-get -y install $DEPENDENCIES 

		#echo "Pi Store would like your permission to install the dependencies for $SAFENAME:"
		#echo "$DEPENDENCIES"
		
		# Detect if the sudo call failed.
#		if [ "$?" != "0" ]
#			then
#				ERRORCODE="$?"
#				writeErrorCode
#		fi
#fi

writeErrorCode
