#! /bin/bash
# Script to add script to run game on start-up to relevant dir, then reboot Pi.

if [ $# -le 2 ]
	then
		echo "Usage: $0 game_type game_dir game_exe"
		exit
fi

GAMETYPE="$1"
GAMEDIR="$2"
GAMEEXE="$3"
#GAMENAME="$4"

#echo "Pi Store would like your permission to run $4 from Terminal."
#echo "**WARNING**: This will immediately restart your Raspberry Pi."

# This ensures that user sees warning even if they don't have a sudo password.
#echo "Do you want to continue?"

#read -n 1 -p "Press 'Y' to continue or any other key to cancel." answer

#echo -e "\n"

#case $answer in
#	[Yy]* ) ;;
#	* ) exit;;
#esac

FILE="/var/lib/indiecity/init-app"

# Get the current user.
if [ -z "$SUDO_USER" ]
	then
		USERNAME="$USER"
else
	USERNAME="$SUDO_USER"
fi

# Create a text file with the gamepath in for our script to access.
sudo echo "$GAMETYPE" > "$FILE"
sudo echo "$GAMEDIR" >> "$FILE"
sudo echo "$GAMEEXE" >> "$FILE"
sudo echo "$USERNAME" >> "$FILE"

# Copy our start-up script to /etc/init.d and add link
sudo cp "/usr/share/indiecity/pistore/scripts/indiecitystartupgame.sh" /etc/init.d/
sudo update-rc.d indiecitystartupgame.sh defaults

# Restart the Pi
sudo shutdown -r now
