#! /bin/bash
# Script to request sudo permissions to run an app's install/uninstall script.

function writeErrorCode
{
	# Write the error code out to a file so the Pi Store can pick it up.
	echo "$ERRORCODE" > "$ERRORFILE"
	chown $SCRIPTUSER $ERRORFILE
	exit
}

if [ $# -le 1 ]
	then
		echo "Usage: $0 install_script_path install_script_file"
		exit
fi

INSTALLSCRIPTPATH=$1
INSTALLSCRIPTFILE=$2
#GAMENAME=$3
#PROCESSTYPE=$4

ERRORCODE=0

if [ -n "$SUDO_USER" ]
	then
		SCRIPTUSER="$SUDO_USER"
else
	SCRIPTUSER="$USER"
fi

ERRORFILE="/home/$SCRIPTUSER/indiecity/pistore/script_errorcode"

#if [ "$PROCESSTYPE" = "install" ]
#	then
#		echo "Pi Store would like your permission to run the $GAMENAME install script."
#elif [ "$PROCESSTYPE" = "uninstall" ]
#	then
#		echo "Pi Store would like your permission to run the $GAMENAME uninstall script."
#else
#	echo "ERROR: $PROCESSTYPE is not a valid process type!"
#	exit 1
#fi

#echo "Do you want to continue?"

#read -n 1 -p "Press 'Y' to continue or any other key to cancel." answer

#echo -e "\n"

#case $answer in
#	[Yy]* ) ;;
#	* ) ERRORCODE=1;writeErrorCode;;
#esac

cd "$INSTALLSCRIPTPATH"

# Detect if the cd call failed or succeeded.
if [ "$?" != "0" ]
	then
		ERRORCODE="$?"
		writeErrorCode
fi

chmod +x "$INSTALLSCRIPTFILE" 

sudo ./"$INSTALLSCRIPTFILE"

# Detect if the sudo call failed or succeeded.
if [ "$?" != "0" ]
	then
		ERRORCODE="$?"
		writeErrorCode
fi

writeErrorCode
